Skip to main content
GET
/
jobs
/
{job_id}
Get the status of a job
curl --request GET \
  --url https://api.togai.com/jobs/{job_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.togai.com/jobs/{job_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.togai.com/jobs/{job_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "job.20aUyEZSuYq.SoGbS",
  "type": "PRICE_PLAN",
  "updatedAt": "2080-10-04T00:00:00Z",
  "status": "COMPLETED",
  "totalJobEntries": 100,
  "pendingJobEntries": 40,
  "failedJobEntries": 20,
  "completedJobEntries": 40,
  "metadata": {
    "sourceId": "pp.njrjk314hfr",
    "targetId": "pp.rhk32h4dsfq"
  }
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string
required
Example:

"mig.20aUyEZSuYq.SoGbS"

Response

Response for get job status request

id
string
required
type
enum<string>
required
Available options:
PRICE_PLAN,
EVENT_CORRECTIONS,
BILL_RUN
updatedAt
string<date-time>
required
status
enum<string>
required
Available options:
SCHEDULED,
PENDING,
INITIALIZED,
WAITING_FOR_CONFIRMATION,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELLED
totalJobEntries
integer<int32>
required
pendingJobEntries
integer<int32>
required
failedJobEntries
integer<int32>
required
completedJobEntries
integer<int32>
required
settledAt
string<date-time>
metadata
object